Bug 19949 - Update popup window templates to use Bootstrap grid: Cataloging authority search
Summary: Update popup window templates to use Bootstrap grid: Cataloging authority search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 19786
Blocks: 19931 20239
  Show dependency treegraph
 
Reported: 2018-01-10 17:55 UTC by Owen Leonard
Modified: 2018-04-23 22:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19949: Update popup window templates to use Bootstrap grid: Cataloging authority search (4.03 KB, patch)
2018-01-10 18:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19949: Update popup window templates to use Bootstrap grid: Cataloging authority search (4.08 KB, patch)
2018-01-18 20:59 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19949: Update popup window templates to use Bootstrap grid: Cataloging authority search (4.14 KB, patch)
2018-03-25 17:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-10 17:55:07 UTC
This bug falls under the omnibus Bug 19931, "Update popup window templates to use Bootstrap grid." Updated in this patch will be auth_finder.tt and searchresult-auth.tt, the templates for cataloging authority searches.
Comment 1 Owen Leonard 2018-01-10 18:49:16 UTC
Created attachment 70417 [details] [review]
Bug 19949: Update popup window templates to use Bootstrap grid: Cataloging authority search

This patch updates the cataloging authority search templates to use the
Bootstrap grid instead of the YUI grid.

To test you must have a MARC subfield configured with "Thesaurus"
linked to an authority type.

Apply the patch and go to Cataloging -> New record. Click the plugin
link for the field which is linked to authorities. In the popup window,
the search form and search results should look correct.
Comment 2 Zoe Bennett 2018-01-18 20:59:15 UTC
Created attachment 70715 [details] [review]
Bug 19949: Update popup window templates to use Bootstrap grid: Cataloging authority search

This patch updates the cataloging authority search templates to use the
Bootstrap grid instead of the YUI grid.

To test you must have a MARC subfield configured with "Thesaurus"
linked to an authority type.

Apply the patch and go to Cataloging -> New record. Click the plugin
link for the field which is linked to authorities. In the popup window,
the search form and search results should look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>
Comment 3 Katrin Fischer 2018-02-04 15:39:16 UTC
Dependency requires sign-off still.
Comment 4 Katrin Fischer 2018-03-25 17:17:29 UTC
Created attachment 73247 [details] [review]
Bug 19949: Update popup window templates to use Bootstrap grid: Cataloging authority search

This patch updates the cataloging authority search templates to use the
Bootstrap grid instead of the YUI grid.

To test you must have a MARC subfield configured with "Thesaurus"
linked to an authority type.

Apply the patch and go to Cataloging -> New record. Click the plugin
link for the field which is linked to authorities. In the popup window,
the search form and search results should look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-03-26 20:36:42 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-04-23 22:51:35 UTC
Awesome work all, enhancement, not backported for stable